BANK KALTENG - Feature #3643

Autoload KPI
05/27/2025 11:33 AM - haykal haykal

Status: Deploy Start date: 05/27/2025
Priority: Urgent Due date: 05/28/2025
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 7.00 hours
Description

Dear Azid,

Untk saat ini 'kan KPI nya masih manual pilih sendiri satu-satu di form ESSnya. Inginnya autoload berdasarkan KPI yang telah

didaftarkan di Job (tab KPI Profile di Job Catalog).

Namun untk button Add nya tetap dibiarkan saja supaya nanti masih bisa editable.

Contoh karyawan yg di Jobnya sudah punya KP!I:
00000855
00000043

Menu Path: My Workplace > Request > Performance Management > Performance Goal Setting

Port: http://remote.minovais.com:61133/
DB: MinovaES_BankKalteng_BaseServerProd (di 1452)

Terimakasih.

History

#1 - 05/27/2025 12:44 PM - Kezia Pawitra Yulianti
- Due date set to 05/28/2025
- Status changed from New to Assigned

- Priority changed from Normal to Urgent

#2 - 06/04/2025 04:44 PM - M Azid Wahyudi

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to haykal haykal
kal , udah bisa di test ya

package :

bizproc(init dan method)

custparam(PMSGetKPIFromJob)

makasih

#3 - 06/05/2025 09:05 AM - haykal haykal

- File Bagian Perspective tidak ngeload semua.png added
- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to M Azid Wahyudi

Dear Azid, kok bagian Persepective nya yg keload cuma 1 row doang ya? (foto diattach)
Tolong diperbaiki ya.

Terimakasih.

#4 - 06/05/2025 10:55 AM - M Azid Wahyudi

- Status changed from Revise to QA Test
http://remote.minovais.com:61133/

- Assignee changed from M Azid Wahyudi to haykal haykal

kal , udah bisa di test

note : kalau ada nama ga sesuai bisa di cek di sdatatablefieldnya soalnya dari awal itu di fixedValue jadi engga berdasarkan om1
makasih

#5 - 06/10/2025 09:57 AM - haykal haykal

- File Kurang 1.png added

- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to M Azid Wahyudi

Dear Azid,

Untuk masalah autoload KPI dari Job itu sudah clear. Sudah beres.

Namun ada satu masalah lagi. Setelah si karyawan submit Performance Goal Setting, 'kan itu masuk ke Inbox atasan. Namun ketika saya buka
formnya di Inbox atasan, tidak semua KPI yang telah diisikan oleh karyawan muncul di form atasan (foto diattach).

Jadi saya mengajukan pakai karyawan Ananda Permata Sari (EmployeelD 00000855), dan setelah Period From dan Period To terisi KPI nya sudah
autoload dari Job. Ada 5 KPI yg autoload dari Job. Namun itu tidak bisa disubmit, karena belum 100% (masih 70%). Makanya saya tambahkan satu
KPI lagi dengan bobot 30%. Submit Success.

Namun ketika di form atasan KPI yang muncul hanya 5 saja. Yang satu yg saya tambahkan tadi tidak muncul.

Tolong diperbaiki ya. Karena harusnya 'kan daftar KPI di form atasan isinya exactly sama dengan daftar KPI yang telah diajukan karyawan (di form
Requester).

Yg tadi saya test:

EmployeelD karyawan: 00000855 (Ananda Permata Sari)
EmployeelD atasan: 00000974 (Lina Agustina)

ReqID: 1384101

Terimakasih.

#6 - 06/10/2025 11:10 AM - M Azid Wahyudi

- Status changed from Revise to QA Test

- Assignee changed from M Azid Wahyudi to haykal haykal

dear hykal , udah bisa

package :
bizproc(afterrender)

makasih

#7 - 06/10/2025 11:21 AM - haykal haykal

- File KPI gak muncul.png added

- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to M Azid Wahyudi
Dear Azid,

Saya sudah test lagi. Tapi malah KPI nya semuanya gak muncul. (Foto diattach)
(Note: Ini di Inbox Lina Agustina (00000974))

Tolong diperbaiki ya.

Terimakasih.

#8 - 06/10/2025 02:14 PM - M Azid Wahyudi

- Status changed from Revise to QA Test

- Assignee changed from M Azid Wahyudi to haykal haykal
dear haykal , udah bisa di test
makasih
#9 - 06/19/2025 11:18 AM - haykal haykal

- Status changed from QA Test to Deploy
- Assignee changed from haykal haykal to M Azid Wahyudi

Udh Ok

Files

Bagian Perspective tidak ngeload semua.png 14.7 KB 06/05/2025 haykal haykal

Kurang 1.png 19.7 KB 06/10/2025 haykal haykal

KPI gak muncul.png 13.7 KB 06/10/2025 haykal haykal
